Bug 601698 - [abrt] crash in gedit-1:2.28.3-1.fc12: add_cursor: Process /usr/bin/gedit was killed by signal 11 (SIGSEGV)
[abrt] crash in gedit-1:2.28.3-1.fc12: add_cursor: Process /usr/bin/gedit was...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gedit (Show other bugs)
12
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Ray Strode [halfline]
Fedora Extras Quality Assurance
abrt_hash:5533c31d9956b4cb8cbc26dbcd2...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-06-08 09:34 EDT by Jonathan Larmour
Modified: 2010-12-03 08:57 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-12-03 08:57:39 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (30.33 KB, text/plain)
2010-06-08 09:34 EDT, Jonathan Larmour
no flags Details

  None (edit)
Description Jonathan Larmour 2010-06-08 09:34:24 EDT
abrt 1.0.9 detected a crash.

architecture: x86_64
Attached file: backtrace
cmdline: gedit /home/testuser/Desktop/itron.estimate.txt
component: gedit
crash_function: add_cursor
executable: /usr/bin/gedit
global_uuid: 5533c31d9956b4cb8cbc26dbcd23c20f4bd25eef
kernel: 2.6.32.10-90.fc12.x86_64
package: gedit-1:2.28.3-1.fc12
rating: 4
reason: Process /usr/bin/gedit was killed by signal 11 (SIGSEGV)
release: Fedora release 12 (Constantine)

comment
-----
I don't know what changed, but starting gedit repeatedly made it crash with this. But relevantly, when I went to report it, abrt-gui also crashed, also in add_cursor. So the problem was presumably somewhere in gtk. Unfortunately this abrt reporter doesn't let me set the component away from gedit.

I decided to reboot to see if that would fix it, and indeed I can no longer reproduce it. The crashes obviously shouldn't have happened but unless you can tell something obvious from the backtrace, there's probably little more which can be done. I'll leave it for you to decide!
Comment 1 Jonathan Larmour 2010-06-08 09:34:26 EDT
Created attachment 422193 [details]
File: backtrace
Comment 2 Bug Zapper 2010-11-03 09:25:09 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Bug Zapper 2010-12-03 08:57:39 EST
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.